# Development

## Sections

- [Initialization](./initialization)
- [Accounts](./accounts)
- [Transactions](./transactions)
- [API](./api)
- [CLI](./cli)
- [Frontend](./frontend)

---

## What can I build on Shardus?

Some examples of the types of things that can be built with shardus include:

---

- A Payment Network
- A Messaging App
- A Marketplace
- A Social Network
- An Identity Network
- A Cloud Computer
- A Trading Exchange Platform

---

... _and much more_ ...

> Essentially, almost anything that can be made on node.js can be made with Shardus. The only exception might be real-time socket communication based apps, due to the fact that transactions aren't instantaneously applied when they get sent to the network. This goes for most, if not all decentralized applications anyway. If you can write JavaScript code, you can build with Shardus.
